export default M_ImageContent;
declare class M_ImageContent extends React.Component<any, any, any> {
    static propTypes: {
        extra: propTypes.Requireable<any>;
        isMe: propTypes.Requireable<boolean>;
        mid: propTypes.Requireable<string>;
    };
    constructor(props: any);
    debounceTime: null;
    viewer: null;
    state: {
        src: string;
        width: string;
        height: string;
        visible: string;
        invalidSource: boolean;
    };
    imgRef: React.RefObject<any>;
    componentDidMount(): void;
    initState: () => Promise<void>;
    previewImage: (src: any) => Promise<void>;
    render(): JSX.Element;
}
import React from "react";
import propTypes from "prop-types";
